summaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-03-01 16:45:28 -0800
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-03-01 16:45:28 -0800
commit66e66f76d8f6d938ca438be761f8187295b5e0b7 (patch)
tree624c12d5b9900c0139455c178cb9a4bd5b8ddfbd /setup.sh
parent4d7080e0a916791b1aa15b8447b152d7f5e910aa (diff)
prune tree and migrate setup
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh75
1 files changed, 75 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..5bf6048
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+set -e
+
+git submodule update --init --recursive
+
+confirm () {
+ [[ "$(read -e -p "$1 [y/N]> "; echo $REPLY)" == [Yy]* ]]
+}
+
+cd src
+
+if confirm "Build and use musl (WIP)?"; then
+ cd musl
+ ./setup.sh
+ cd ..
+ # export CC=${HOME}/.local/musl/bin/musl-gcc
+ # ln -sf ${HOME}/.local/musl/bin/musl-gcc ${HOME}/.local/bin/cc
+fi
+
+if confirm "Build tcc?"; then
+ cd tcc
+ ./setup.sh
+ cd ..
+fi
+
+if confirm "Build micro haskell?"; then
+ cd microhs
+ ./setup.sh
+ cd ..
+fi
+
+if confirm "Build chicken scheme?"; then
+ cd chicken
+ ./setup.sh
+ cd ..
+fi
+
+if confirm "Build dwm/dmenu/st/slstatus/dmenu?"; then
+ cd dwm
+ ./setup.sh
+ cd ..
+
+ cd dmenu
+ ./setup.sh
+ cd ..
+
+ cd st
+ ./setup.sh
+ cd ..
+
+ cd slstatus
+ ./setup.sh
+ cd ..
+fi
+
+if confirm "Build non-local tools (caps2esc) for openrc?"; then
+ cd capslock
+ ./setup.sh
+ cd ..
+fi
+
+if confirm "Build vi?"; then
+ cd vi
+ ./setup.sh
+ cd ..
+fi
+
+if confirm "Build Emacs?"; then
+ cd emacs
+ ./setup.sh
+ cd ..
+fi
+
+echo "All set up, remember to source ~/.bash_profile and symlink tmubrowse and tmuterm."